Understanding Society User Support - Support #1973

Family matrix
09/13/2023 11:42 AM - Alvertos Konstantinis

Status: Resolved Start date: 09/13/2023
Priority: Normal % Done: 100%
Assignee:

Category: Data management

Description

Dear all,

My name is Alvertos Konstantinis, and | am a PhD researcher at the University of Groningen, Faculty of Spatial Sciences,
Department of Economic Geography. My PhD thesis is about Precarious employment and wellbeing in the UK. In that regard, one of
my research questions is the hypothesis that precarity affects social mobility. Consequently, | recently discovered the family matrix
you published for the BHPS-UKHLS. Could you help me with the following issue: | run my analysis on Stata. In its current form, |
indicate whether or not people living under the same roof as you are precarious employees and how this affects you. Ideally, | would
like to recognize the relationship within this household (are they friends, family, just roommates), etc. Please give some tips on that
issue. Thank you so much in advance for your help :)

Kind regards,
Alvertos

History

#1 - 09/13/2023 01:37 PM - Understanding Society User Support Team
- File Worksheet ex 8 Stata.pdf added

- Category set to Data management

- Status changed from New to Feedback

- % Done changed from 0 to 80

- Private changed from Yes to No

Dear Alvertos,

Have you considered using the w_relationship_dv variable available in w_egoalt files?

https://www.understandingsociety.ac.uk/documentation/mainstage/dataset-documentation/variable/relationship_dv In the egoalt file each row
identifies the relationship between the person of reference (called ego) and one other member in the same household (called alter). The file includes

all possible combinations for each households. You can link a egoalt file to other data files using pidp or a combination of w_hidp and w_pno. For
further details about the egoalt file please check the attached file.

I hope this helps.

Best wishes,
Piotr Marzec,
UKHLS User Support

#2 - 09/14/2023 01:54 PM - Alvertos Konstantinis
Dear Piotr,
Thank you very much for your reply. It is very informative indeed. | have checked the egoalt files but | am struggling with the stata syntax part

because the merge needs to be 1:m; Each individual have multiple entries in the egoal file (normal). After the merging tho with the "indersp" file how
should we treat it? Thank you very much again for your time

Best,
Alvertos

#3 - 09/26/2023 01:06 PM - Understanding Society User Support Team

Hello Alvertos,

The approach you should take depends on the specific analysis you intend to conduct. However, assuming you want to maintain unique observations
by row, particularly when working with "indresp," you'll need to reshape your dataset into a wide format to create distinct variables for all potential

relationships. While there are several methods to accomplish this, I'll outline the following steps:
1. Begin by merging "indresp" and "egolat" using a one-to-many (1:m) merge, retaining only the "egolat" variables.
2. Reshape the dataset into a wide format, generating new variables for different relationship types.

3. Finally, perform another merge to reintegrate all "indresp" variables into your dataset.

This process should help you achieve your desired dataset structure.
| hope this information is helpful.

Best wishes,
Roberto Cavazos
Understanding Society User Support Team

#4 - 11/30/2023 01:30 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100
